Bug 206947 - irc/epic5 (also epic4): termcap option is nonsensical, should be removed (?)
Summary: irc/epic5 (also epic4): termcap option is nonsensical, should be removed (?)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-05 09:06 UTC by John Marino
Modified: 2016-02-14 17:55 UTC (History)
2 users (show)

See Also:
mp39590: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2016-02-05 09:06:54 UTC
on both irc/epic4 and irc/epic5, there is an on-by-default TERMCAP option which configures the port to use termcap (with a description that implies instead of libncurses)

This doesn't make sense.  libtermcap is symlinked to libncurses.  It's the same thing!

I can assume this wasn't always the case and the option is some carryover from a long time again.

I'm in the  middle of documenting all ncurses ports and I'm stuck on these two.  I would suggest removing the TERMCAP option and just linking with libncurses.

I can make that happen if you agree conceptually with the approach.
Comment 1 John Marino freebsd_committer 2016-02-05 09:09:24 UTC
Seems epic4 and epic5 have different maintainers.  cc'ing josh now
Comment 2 commit-hook freebsd_committer 2016-02-05 10:25:31 UTC
A commit references this bug:

Author: marino
Date: Fri Feb  5 10:24:59 UTC 2016
New revision: 408156
URL: https://svnweb.freebsd.org/changeset/ports/408156

Log:
  irc/epic5: Remove obsolete TERMCAP option, link with libncurses alway

  The TERMCAP option avoided linking with libcurses (which is symlinked to
  libncurses) in order to link with libtermcap (which is also symlinked to
  libncurses).

  Remove the TERMCAP option completely and link directly to libncurses in
  any case.

  PR:		206947
  approved by:	mp29590(gmail) (maintainer)

Changes:
  head/irc/epic5/Makefile
Comment 3 John Marino freebsd_committer 2016-02-08 20:07:51 UTC
stupid question, but why do both epic4 and epic5 exist?
epic5 isn't sufficient for everyone?
Comment 4 mp39590 2016-02-11 07:24:49 UTC
Those are two different clients with (somewhat) different scripting capabilities, someone prefer not to rewrite his scripts for epic5 and stay with epic4.
Comment 5 Josh Paetzel freebsd_committer 2016-02-14 17:26:14 UTC
It's a carryover from long ago.  Feel free to remove it.
Comment 6 John Marino freebsd_committer 2016-02-14 17:34:01 UTC
Josh: I assume you mean the TERMCAP option (like I did with epic5) and not the entire port. :)
Comment 7 Josh Paetzel freebsd_committer 2016-02-14 17:35:43 UTC
Yes, that is correct.  :)
Comment 8 commit-hook freebsd_committer 2016-02-14 17:53:46 UTC
A commit references this bug:

Author: marino
Date: Sun Feb 14 17:53:21 UTC 2016
New revision: 408875
URL: https://svnweb.freebsd.org/changeset/ports/408875

Log:
  irc/epic4: Remove obsolete TERMCAP option, link with libncurses alway

  The TERMCAP option avoided linking with libcurses (which is symlinked to
  libncurses) in order to link with libtermcap (which is also symlinked to
  libncurses).

  Remove the TERMCAP option completely and link directly to libncurses in
  any case.

  PR:		206947
  approved by:	jpaetzel@ (maintainer)

Changes:
  head/irc/epic4/Makefile
Comment 9 John Marino freebsd_committer 2016-02-14 17:55:56 UTC
thanks